Author Topic: Unable to reinstall codeblocks linux  (Read 2329 times)

Offline astrapi

  • Multiple posting newcomer
  • *
  • Posts: 31
Unable to reinstall codeblocks linux
« on: March 18, 2016, 02:13:42 pm »
Hello everybody, I'm a new (not new new but enough to have always some problems) comer on linux, and new
in c++ and new in codeblocks....

I had codeblocks, it worked very well, no problem I was really happy. I installed SFGUI and see that everything
is a shared_ptr, and my codeblocks autocompletion didn't complete them, so it was a bit unpleasant to program.
So I tryed to install clang complete plugin (try to compile it into codeblocks like it has to be) and I never could it right.
SO, I presume that maybe it was beacause I installed manually codeblocks (the last built version svn...).
(because the probleme seems to come from a Compile.h header in which a Method has been delete after an upgrade I think... I'm sorry i'm not clear...)
You can see that I was not the master of my computer anymore. So I delete everything
sudo apt-get remove --purge codeblocks*
I put in my sources.list
deb [arch=amd64,i386] https://apt.jenslody.de/testing stretch main
deb-src https://apt.jenslody.de/testing stretch main

And try
apt-get install codeblocks
PROBLEM !
Les paquets suivants contiennent des dépendances non satisfaites :
 codeblocks : Dépend: libcodeblocks0 (= 16.01svn10794-1) mais ne sera pas installé
              Dépend: libwxbase3.0-0v5 (>= 3.0.2+dfsg) mais il n'est pas installable
              Dépend: libwxgtk3.0-0v5 (>= 3.0.2+dfsg) mais il n'est pas installable
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».
(sorry it's in french...)

I'm sure that it is stupid problem but I've passed too many hours trying to do it right....

Thanks for your help

(please don't shoot me if it's not in the good section, or completely stupid... I try my best  :-\ )
« Last Edit: March 18, 2016, 02:27:59 pm by astrapi »

Offline stahta01

  • Lives here!
  • ****
  • Posts: 6894
    • My Best Post
Re: Unable to reinstall codeblocks linux
« Reply #1 on: March 18, 2016, 04:36:02 pm »
Do you have package "libwxgtk3.0-dev" from the normal Debian Repo installed?
If no, install it.
If yes, what version number?

Tim S.
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Stretch, compiling CB Trunk against wxWidgets 3.0.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline astrapi

  • Multiple posting newcomer
  • *
  • Posts: 31
Re: Unable to reinstall codeblocks linux
« Reply #2 on: March 18, 2016, 05:46:11 pm »
Thank you for you reply :)

Yes it was, but I remove it (i thought maybe it was the cause), I install it again (on your recommendation), so
now it's libwxgtk3.0-dev (3.0..0-2)
I try again to install codeblocks but same error occurs...

Offline jens

  • Administrator
  • Lives here!
  • *****
  • Posts: 7253
    • Jens' unofficial debian-repository for the Code::Blocks - IDE
Re: Unable to reinstall codeblocks linux
« Reply #3 on: March 18, 2016, 07:37:52 pm »
What version of Debian do you use ?
Testing has libwxgtk3.0-0v5 (3.0.2+dfsg-1.3).

And no, you don't need libwxgtk3.0-dev unless you want to develop with wxWidgets 3.0.2 yourselve.

Offline stahta01

  • Lives here!
  • ****
  • Posts: 6894
    • My Best Post
Re: Unable to reinstall codeblocks linux
« Reply #4 on: March 18, 2016, 07:40:16 pm »
What version of Debian do you use ?
Testing has libwxgtk3.0-0v5 (3.0.2+dfsg-1.3).

And no, you don't need libwxgtk3.0-dev unless you want to develop with wxWidgets 3.0.2 yourselve.

This is what I have; no idea what the OP has.

wxWidgets Debian stretch info.txt


libwxgtk3.0-0v5 wxWidgets Cross-platform C++ GUI toolkit (GTK+ runtime)
version 3.0.2+dfsg-1.3

libwxgtk3.0-dev wxWidgets Cross-platform C++ GUI toolkit (GTK+ development)
version 3.0.2+dfsg-1.3

uname -a
Linux debian 4.3.0-1-amd64 #1 SMP Debian 4.3.5-1 (2016-02-06) x86_64 GNU/Linux

https://packages.debian.org/stretch/libwxgtk3.0-0v5

Tim S.
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Stretch, compiling CB Trunk against wxWidgets 3.0.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline astrapi

  • Multiple posting newcomer
  • *
  • Posts: 31
Re: Unable to reinstall codeblocks linux
« Reply #5 on: March 18, 2016, 08:53:10 pm »
I'm using :
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=14.04
DISTRIB_CODENAME=trusty
DISTRIB_DESCRIPTION="Ubuntu 14.04.4 LTS"

uname -a :
Linux 3.13.0-83-lowlatency #127-Ubuntu SMP PREEMPT  x86_64 x86_64 x86_64 GNU/Linux

(if it can help...)


« Last Edit: March 18, 2016, 08:56:30 pm by astrapi »

Offline jens

  • Administrator
  • Lives here!
  • *****
  • Posts: 7253
    • Jens' unofficial debian-repository for the Code::Blocks - IDE
Re: Unable to reinstall codeblocks linux
« Reply #6 on: March 18, 2016, 10:47:59 pm »
Maybe it helps to use packages for Ubuntu, instead of packages for Debian.
See our download page for details.

Offline astrapi

  • Multiple posting newcomer
  • *
  • Posts: 31
Re: Unable to reinstall codeblocks linux
« Reply #7 on: March 18, 2016, 11:34:17 pm »
Ouch  ouch :-X  ... It's look like to be a good idea that's right...
I was certain that it was something stupid....

Thank you, I try this right now

That's working thank you very much, I can download it now.

Thanks again !
« Last Edit: March 18, 2016, 11:37:10 pm by astrapi »

Offline astrapi

  • Multiple posting newcomer
  • *
  • Posts: 31
Re: Unable to reinstall codeblocks linux
« Reply #8 on: March 19, 2016, 01:16:57 am »
Thank you a lot, it looks better than before (I can finally see the shortkey plugin that was not accessible to my sight before)

I reopen a new subject for asking for my first problem, installing  ClangCompletion on it to autocomplete share_ptr.

Thanks again